#
# spec file for package xorg-x11-libs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-libs
BuildRequires:  fdupes fontconfig-devel freetype2-devel gperf libXi6-devel libexpat-devel libtool libxslt pkgconfig xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libX11-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libXext-devel xorg-x11-libXfixes-devel xorg-x11-libXmu-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXprintUtil-devel xorg-x11-libXrender-devel xorg-x11-libXt-devel xorg-x11-libXv-devel xorg-x11-libfontenc-devel xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel
%ifarch ppc64 s390x x86_64
Provides:       libXaw.so.8()(64bit) libXaw.so.7()(64bit) libXaw.so.6()(64bit)
Provides:       libXaw8.so.8()(64bit) libXaw7.so.7()(64bit) libXaw6.so.6()(64bit)
%else
Provides:       libXaw.so.8 libXaw.so.7 libXaw.so.6
Provides:       libXaw8.so.8 libXaw7.so.7 libXaw6.so.6
%endif
# bug437293
%ifarch ppc64
Obsoletes:      xorg-x11-libs-64bit
%endif
#
Url:            http://xorg.freedesktop.org/
Version:        7.6
Release:        23
License:        GPLv2+ ; MIT License (or similar)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Summary:        Remaining X.Org libraries
Source1:        libFS-1.0.3.tar.bz2
Source2:        libWindowsWM-1.0.1.tar.bz2
Source3:        libXScrnSaver-1.2.1.tar.bz2
Source4:        libXTrap-X11R7.0-1.0.0.tar.bz2
Source5:        libXaw-1.0.8.tar.bz2
Source6:        libXcomposite-0.4.3.tar.bz2
Source7:        libXcursor-1.1.11.tar.bz2
Source8:        libXdamage-1.1.3.tar.bz2
Source9:        libXevie-1.0.3.tar.bz2
Source10:       libXfont-1.4.3.tar.bz2
Source11:       libXfontcache-1.0.5.tar.bz2
Source12:       libXft-2.2.0.tar.bz2
Source14:       libXinerama-1.1.1.tar.bz2
Source15:       libXprintAppUtil-X11R7.0-1.0.1.tar.bz2
Source16:       libXrandr-1.3.1.tar.bz2
Source17:       libXtst-1.2.0.tar.bz2
Source18:       libXvMC-1.0.6.tar.bz2
Source19:       libXxf86dga-1.1.2.tar.bz2
Source20:       libXxf86misc-1.0.3.tar.bz2
Source21:       libXxf86vm-1.1.1.tar.bz2
Source22:       libdmx-1.1.1.tar.bz2
Source23:       liblbxutil-1.1.0.tar.bz2
Source24:       liboldX-X11R7.0-1.0.1.tar.bz2
Source25:       libxkbui-X11R7.1-1.0.2.tar.bz2
Source26:       xbitmaps-1.1.1.tar.bz2
Source27:       libXres-1.0.5.tar.bz2
Source29:       libvnc-20070501.tar.bz2
Source30:       libXcliplist-20070501.tar.bz2
Source31:       xcb-util-0.3.6.tar.bz2
Source90:       baselibs.conf
Patch2:         libXft-2.1.7-lcd-filter-2.patch
Patch5:         libxkbui.diff
Patch10:        libXxf86misc-xcb.diff
Patch11:        U_libXfont_LZW-decompress-fix-for-CVE-2011-2895.patch

%description
This package contains the remaining X.Org libraries.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%package -n xorg-x11-devel
License:        GPLv2+ ; MIT License (or similar)
Summary:        Include Files and Libraries mandatory for X11 Development
Group:          Development/Libraries/X11
Provides:       xorg-x11-compat70-devel xorg-x11-man XFree86-devel
Obsoletes:      xorg-x11-compat70-devel xorg-x11-man
Requires:       xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libX11-devel xorg-x11-libXext-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXrender-devel xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libXt-devel xorg-x11-libXmu-devel xorg-x11-libXfixes-devel xorg-x11-libxkbfile-devel freetype2-devel fontconfig-devel %{name} = %{version} xorg-x11-util-devel xorg-x11-libfontenc-devel xorg-x11-libXv-devel xorg-x11-libXprintUtil-devel xorg-x11-fonts-devel pkgconfig libXi6-devel
Requires:       xorg-x11-libxcb-devel
Requires:       libpciaccess0-devel libpixman-1-0-devel
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      xorg-x11-devel-64bit
%endif
#

%description -n xorg-x11-devel
This package contains all necessary include files and libraries needed
to develop X11 applications that require these.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%prep
%setup -q -T -c %{name}
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
pushd libXft-*/src
%patch2 -p1
popd
pushd libxkbui-*
%patch5
popd
pushd libXxf86misc-*
%patch10 -p0
popd
pushd libXfont-*
%patch11 -p1
popd

%build
for dir in $(ls); do
  pushd $dir
    case $dir in
      libXvMC-*) option="--sysconfdir=/etc" ;;
      libvnc*|libXcliplist*) autoreconf -fi ;;
      *) ;;
    esac
    autoreconf -fiv
    export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
    %configure --disable-silent-rules \
    --disable-static \
    --with-pic --enable-type1 ${option}
    %{__make} %{?jobs:-j%jobs}
  popd
done

%install
for dir in $(ls); do
  pushd $dir
    make install DESTDIR=$RPM_BUILD_ROOT
  popd
done
/sbin/ldconfig -n $RPM_BUILD_ROOT/usr/%_lib
mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps/
%if %suse_version > 1110
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
%endif
# for compatibility reasons
ln -s libXaw7.so.7 $RPM_BUILD_ROOT/%{_libdir}/libXaw8.so.8
ln -s libXaw.so.7  $RPM_BUILD_ROOT/%{_libdir}/libXaw.so.8
%fdupes -s $RPM_BUILD_ROOT/%_mandir

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/include/X11/bitmaps/
/usr/include/X11/pixmaps/
/usr/%{_lib}/*.so.*

%files -n xorg-x11-devel
%defattr(-,root,root)
%doc /usr/share/doc/*
/usr/include/X11/*.h
/usr/include/X11/Xaw/
/usr/include/X11/Xcursor/
/usr/include/X11/Xft/
/usr/include/X11/XprintAppUtil/
/usr/include/X11/extensions/*.h
/usr/include/X11/fonts/*.h
/usr/include/xcb/
/usr/%{_lib}/*.so
%if %suse_version <= 1110
/usr/%{_lib}/*.la
%endif
/usr/%{_lib}/pkgconfig/*.pc
%{_datadir}/pkgconfig/*.pc
%{_mandir}/man3/*
%doc %{_datadir}/doc/libXvMC/
%doc %{_datadir}/doc/libXaw/
%doc %{_datadir}/doc/libFS/

%changelog
